package com.nec.did.entity;

/**
 * This class was automatically generated by the data modeler tool.
 */

public class Person implements java.io.Serializable {

	static final long serialVersionUID = 1L;

	private long id;
	private java.lang.String name;
	private java.lang.String surname;
	private java.lang.String email;
	private java.util.HashMap<String, Object> extraData;


	public Person() {
	}

	public long getId() {
		return this.id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public java.lang.String getName() {
		return this.name;
	}

	public void setName(java.lang.String name) {
		this.name = name;
	}

	public java.lang.String getSurname() {
		return this.surname;
	}

	public void setSurname(java.lang.String surname) {
		this.surname = surname;
	}

	public java.lang.String getEmail() {
		return this.email;
	}

	public void setEmail(java.lang.String email) {
		this.email = email;
	}
	
	public java.util.HashMap<String, Object> getExtraData() {
        return extraData;
    }

    public void setExtraData(java.util.HashMap<String, Object> extraData) {
        this.extraData = extraData;
    }

	public Person(long id, java.lang.String name, java.lang.String surname,
			java.lang.String email, java.util.HashMap<String, Object> extraData) {
		this.id = id;
		this.name = name;
		this.surname = surname;
		this.email = email;
		this.extraData = extraData;
	}

}